Bug 206816 - Review Request: freedoom-freedm - Deathmatch levels for freedoom
Review Request: freedoom-freedm - Deathmatch levels for freedoom
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-09-16 18:59 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-23 12:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wart 2006-09-16 18:59:14 EDT
Spec URL: http://www.kobold.org/~wart/fedora/freedoom-freedm.spec
SRPM URL: http://www.kobold.org/~wart/fedora/freedoom-freedm-0.5-1.src.rpm
Multiplayer deathmatch levels for freedoom
Comment 1 Jason Tibbitts 2006-09-23 00:35:27 EDT
The source URL is failing for me; it's probably some sourceforge breakage.  I
specified a mirror (superb-west.dl.sourceforge.net) and it came through fine.

* source files match upstream:
   340a3e884729c22f45ff73353e2cc67a  freedoom-freedm-0.5.zip
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   freedoom-freedm = 0.5-1.fc6
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* game levels are acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* desktop file is properly installed.

Comment 2 Wart 2006-09-23 02:51:23 EDT
I also tend to have problems downloading from sourceforge via curl or wget,
using various forms of the download URLs.  I haven't seen a perfect solution to
that problem yet.

Imported and built.  Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.